#include "grcitrusdef.h"
#include "r_smc_entry.h"
#include "Config_SCI0.h"
#include "Config_CMT0.h"
#include "Config_PORT.h"

uint8_t msg1_buf[3] = { "aa" };
uint8_t msg2_buf[59] = { "  TEND flag: before TDR write=- after TDR write=-,-,-,-\r\n" };
#define MSG2_POS_BEF 30
#define MSG2_POS_AFT 48
volatile uint8_t tick;
volatile uint8_t tend;
volatile uint8_t TEND_sampling[5];

void main(void);

/***********************************************************************************************************************
* Function Name: main
* Description  : This function implements main function.
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void main(void)
{
    LED = LED_OFF;

    tick = 0;

    R_Config_SCI0_Start();
    R_Config_CMT0_Start();

    while(1)
    {
        ; /* Blink LED by Interrupt */

        while (tick % 2 == 0)
        {
            ;
        }
        tend = 0;

        R_Config_SCI0_Serial_Send(msg1_buf, 1);

        while (tick % 2 == 1)
        {
            ;
        }
        if (tend == 1)
        {
            msg1_buf[0] = (msg1_buf[0] < 'z') ? msg1_buf[0] + 1 : 'a';
        }
    }
}
